Name:           python-glue
Version:        0.2.8.1
Release:        1%{?dist}
Summary:        A simple command line tool to generate CSS sprites

License:        BSD
URL:            http://github.com/jorgebastida/glue
Source0:        http://pypi.python.org/packages/source/g/glue/glue-0.2.8.1.tar.gz
# This patch removes the Pillow dependency since in Fedora we have
# the python-imaging package which does the same exact thing.
Patch0:         python-glue-0.2.7-remove-pillow-dependency.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-imaging

%description
Glue is a simple command line tool to generate CSS sprites using any kind
of source images like PNG, JPEG or GIF. Glue will generate a unique PNG file
containing every source image and a CSS file including the necessary CSS
classes to use the sprite.

%prep
%setup -q -n glue-%{version}
%patch0
rm -rf glue.egg-info
# Remove the shebang that set the python executable since that's
# generated later
sed -i -e "1d" glue.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS COPYING docs
%{_bindir}/glue
%{python_sitelib}/glue.py
%{python_sitelib}/glue.pyc
%{python_sitelib}/glue.pyo
%{python_sitelib}/glue-%{version}-py?.?.egg-info


%changelog
* Wed Oct 31 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.8.1-1
- Update to upstream version 0.2.8.1
* Tue Oct 23 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.7-2
- Remove the shebang part of the glue.py script
- Remove the glue.egg-info directory in the prep section
- Remove the 'rm -rf $RPM_BUILD_ROOT' in the install section
* Mon Oct 22 2012 Lorenzo Gil Sanchez <lorenzo.gil.sanchez@gmail.com> - 0.2.7-1
- New package.
